*-----------------------------------------------------------------------
*-- Program...: EDITREC.PRG
*-- Programmer: Ken Mayer (CIS: 71333,1030)
*-- Date......: 12/29/1994
*-- Notes.....: This routine calls two different forms -- the first is
*--             a search form, that simply allows the user to enter
*--             a name to search for -- if found, we call the
*--             data form. If not, we give an error, and allow the
*--             user to retry.
*-----------------------------------------------------------------------

   public cSearch && make it public so that the search form can find
                  && it in memory
   
   use address order name
   
   do while .t.   && loop until told to exit
      cSearch = space(15)   && initialize it
      do search.wfm
      *-- when the form is closed, the memvar will either
      *-- have a name, or it will be empty ...
      if isblank(cSearch)
         exit
      endif
      
      *-- if here, we have a value, let's try to find it!
      lOK = .f.  && initialize flag
      if seek(trim(cSearch))   && if we found a match
         do while trim(cSearch) $ trim(upper(last))      
            if msgbox(trim(first)+" "+trim(last)+" -- is this the name?",;
                      "Found a match",36) = 6
               lOK = .t.
               exit
            else
               lOK = .f.
            endif            
         enddo
      else                     && match not found
         lOK = .f.
      endif

      if .not. lOK   && we didn't find it, let user know
         msgbox("We did not find it.","No Match Found",16)
      else           && we DID find it, display the form
         do address.wfm
      endif
      
   enddo
 
   use

RETURN
*-----------------------------------------------------------------------
*-- End of Program: EDITREC.PRG
*-----------------------------------------------------------------------
